#!/bin/sh

###########################################################################
#                                                                         #
#                                                                         #
#              Copyright (c) 2006 IskraTEL                                #
#                                                                         #
#                                                                         #
#                                                                         #
#   Name        : actionBase.sh                                           #
#                                                                         #
#   Description : General purpose base action script.                     #
#                                                                         #
#   Position    : rte/sysup/actions                                       #
#                                                                         #
#   Code        : BPMD - XAB3003                                          #
#                                                                         #
#   Date        : Jul 2006                                                #
#                                                                         #
#   Author      : Samo Pogacnik, ITPSD6                                   #
#                                                                         #
#   Translation : * None                                                  #
#                                                                         #
#   Remarks     : * None                                                  #
#                                                                         #
#   Revisions   : * None                                                  #
#                                                                         #
###########################################################################

LOGGER="logger -p user.alert -t actionBase.sh --"

if [ "x${1}" == "xERROR" ]
then
	# You can use the following sample commands or write your own,
	# where you can use the first position parameter as the parent PID.
	(
		echo '-----------BEGIN-COLLECT-STATE-----------'
		ls -la /opt/si2000/neroot

		echo '--------------IPCS-----------------------'
		ipcs

		#echo '-----------PROCINFO----------------------'
		#procinfo

		echo '-----------SYSTEM_PS---------------------'
		ps -emo pid,priority,user,state,tmout,f,wchan,%cpu,%mem,args

		echo '----------- F R E E ---------------------'
		free

		echo '------------D T R C----------------------'
		echo "Creating DTRC files, if no SRAM is available."
		/opt/iskratel/sbin/dtrc --sysup

		echo '--------EMERGENCY SHUTDOWN FLAG----------'
		touch /tmp/emergency_shutdown

		echo '------------L O G T----------------------'
		echo "Creating logtGo flag to save logs, configs and cores via logtMain after reboot."
		echo "This file is generated, when unregular reboot occures and is handeled by logtMain. DO NOT DELETE THIS FILE, unless you know what you are doing!" > /var/lib/misc/logtGo
		echo '------------END-COLLECT-STATE------------'
	) | $LOGGER
else
	/opt/iskratel/sbin/dtrc --nofile
	if [ -f /var/misc/bootcycle.status ]
	then
		rm -rf /var/misc/bootcycle.status
	fi
fi

exit 0

