#!/bin/bash

CMDFILE="/tmp/arping.cmds"
RETRIES=$1
[ "$RETRIES" = "" ] && RETRIES=4 #default value 
RETRYDELAY=1

# Ensure, that last invocation kills all $CMDFILE executions, before creating own $CMDFILE:
killall arping.cmds 2>/dev/null

rm -f "$CMDFILE" 2>/dev/null
cat >> "$CMDFILE" <<EOF
#!/bin/bash

arping_all()
{
    echo "ARP-ing on all interfaces (\$1/$RETRIES)..."
    ip addr |
        awk '{ if (\$1=="inet") { if (\$7=="secondary") print \$2 " " \$8; else if (\$7!="") print \$2 " " \$7 } }' |
        awk '{ if (match(\$1, /\//)) { print "--- ARP " substr(\$1, 0, RSTART-1) " on " \$2 "..."; system("arping -Uqc 1 -I " \$2 " " substr(\$1, 0, RSTART-1)); } }'
}

INDEX=1
while test \$INDEX -le ${RETRIES}
do
	arping_all \$INDEX
	INDEX=\`expr \${INDEX} + 1\`
	sleep $RETRYDELAY;
done
EOF

chmod 755 $CMDFILE

[ -x "${CMDFILE}" ] && $CMDFILE | logger -p user.alert -t $0 -- &
